;(function($){
	// ページ情報が読み込まれた後に地図の処理を行う
	$(window).load(function(){
		// CSSクラスでgmapviewが指定されている要素を対象にする
		$(".gmapview").each(function(){
			// 住所を読み出す
			var adrs = $(this).attr("data-gmap-adrs");
			// ズームレベルを読み出す
			var z = $(this).attr("data-gmap-zoom");
			// 地図の種類を読み出す
			var t = $(this).attr("data-gmap-type");
			if (adrs){
				// thisは変わってしまうので変数に保存
				var ele = this;
				// Geo Coderオブジェクトを生成
				var gc = new google.maps.Geocoder();
				// ジオコーディングを行う。非同期で処理されるためコールバック関数を指定
				gc.geocode({ address : adrs }, function(results, status){
					// ジオコーディングに成功した場合は地図を表示する
					if (status == google.maps.GeocoderStatus.OK) {
						// ズームレベルの処理。ズームが指定されていない場合は10に設定
						if (!z){ z = 10; }
						// 地図の種類の処理。種類が指定されていない場合は通常の地図に設定
						if (!t){
							t = google.maps.MapTypeId.ROADMAP;
						}else{
							// 地図が指定されている場合はAPIに用意されている定数値として設定
							t = google.maps.MapTypeId[t];
						}
						// 地図を指定された要素に描画。中心は指定した住所になる
						new google.maps.Map(
							ele, {
								zoom : parseInt(z),
								center : results[0].geometry.location,
								mapTypeId : t
							}
						);
					}else{
						// ジオコーディングに失敗した場合は要素の背景色を赤いにして文字を表示
						$(ele).css("background-color", "red").text("住所が不正です："+status);
					}
				});
			}
		});
	});
	return this;
})(jQuery);
